import { IMap } from './global';
declare class Is {
    get not(): IsNot;
    null(value: unknown): value is null;
    null<T>(value: unknown, defaultValue: () => T): T;
    function<T extends Function>(value: unknown): value is T;
    function(value: unknown): value is Function;
    array<T>(value: T[]): value is T[];
    array(value: unknown): value is [];
    promise(value: unknown): value is Promise<unknown>;
    keyValuePair(value: unknown): boolean;
    object<T>(value: unknown): value is T;
    object(value: unknown): value is object;
    plainObject(value: unknown): value is object;
    date(value: unknown): value is Date;
    date(value: unknown, defaultValue: Date): Date;
    boolean(value: unknown): value is boolean;
    string(value: unknown): value is string;
    empty(value: unknown): boolean;
    error(value: IMap): value is Error;
    number(value: unknown): value is number;
    enum(value: any, enumDefinition: object): boolean;
    primitive<T extends string | number | boolean>(value: T): value is T;
}
declare class IsNot {
    null<T>(value: T): value is T;
    null<T>(value: unknown, defaultValue: () => T): T;
    allNull<T>(...values: (() => T)[]): T | undefined;
    empty(value: unknown): value is string;
    empty(...values: unknown[]): boolean;
    object(value: unknown): boolean;
}
export declare const is: Is;
export {};
